Subject: Re: [bug#31958] [PATCH] gnu: Add python-pyblake2.

From: Marius Bakke <[email-masked]>
Date: Tue, 26 Jun 2018 23:53:49 +0200

Vagrant Cascadian <[email-masked]> writes:

> On 2018-06-25, Marius Bakke wrote:
>> Vagrant Cascadian <[email-masked]> writes:
>>>> According to COPYING, this software is actually "octuple-licensed":
>>>>
>>>> * CC0 Universal 1.0 - http://creativecommons.org/publicdomain/zero/1.0
>>>> * Unlicense — http://unlicense.org/
>>>> * WTFPL Version 2 - http://www.wtfpl.net/
>>>> * Apache Public License 2.0 - https://www.apache.org/licenses/LICENSE-2.0
>>>> * OpenSSL License - https://www.openssl.org/source/license.html
>>>> * MIT License - https://opensource.org/licenses/MIT
>>>> * The BSD 3-Clause License - https://opensource.org/licenses/BSD-3-Clause
>>>> * ISC License - https://opensource.org/licenses/ISC
>>>>
>>>> Can you add each of these, along with an explaning comment?
>>>
>>> And all of those are merely fallback licenses to the author's intention
>>> of public domain... and in the files themselves (pyblake2module.c,
>>> setup.py), they only reference:
>>>
>>>   http://creativecommons.org/publicdomain/zero/1.0
>>>
>>> But if it's more appropriate for guix to list all possible licenses,
>>> sure. :)
>>
>> Right.  I missed the top comment of the COPYING file[0], which dedicates
>> the software to the public domain.  But it also says that you are free
>> to choose any of the others at your discretion.
>>
>> So I think CC0 is appropriate, but please add a comment explaning the
>> situation.  Thanks!
>>
>> [0] https://github.com/dchest/pyblake2/blob/master/COPYING
>
> Updated patch:
> - fixed commit message
> - moved to python-crypto.scm
> - removed needless linebreak
> - updated description
> - updated licensing to public-domain/cc0
> - clarified additional licensing in comments
>
> Hopefully that covers everything.

Thank you!

I shortened the description a bit while adding @code{} notations where
appropriate, and also added a copyright statement for you.  Hope that
was okay :-)

I also moved the package so it wasn't squeezed between the Python3 and
Python2 variants of python-py-bcrypt.

(...and closing the previous patch bug while at it...)

Pushed as e64088f0b521145286bfe3f028699e418baf4832!